CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

视口属性 (ActiveX)

2023-1-3 01:30| 发布者: admin| 查看: 241| 评论: 0|来自: AutoCAD

摘要: 获取文档的视口集合。

获取文档的视口集合。

支持的平台:仅窗口

签名

工 务 局:

object.Viewports
对象

类型:数据库文档

此属性适用的对象。

属性值

只读:是的

类型:视口

文档的集合。Viewports

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Viewports()
    ' This example finds the current Viewports collection and
    ' adds a new viewport to that collection.
    
    Dim viewportColl As AcadViewports
    Set viewportColl = ThisDrawing.Viewports
    
    ' Create a viewport named "TEST" in the current drawing
    Dim viewportObj As AcadViewport
    Set viewportObj = viewportColl.Add("TEST")
    MsgBox "A new viewport called " & viewportObj.name & " has been added to the Viewports collection.", vbInformation, "Viewports Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Viewports()
    ;; This example finds the current Viewports collection and
    ;; adds a new viewport to that collection.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    (setq viewportColl (vla-get-Viewports doc))
    
    ;; Create a viewport named "TEST" in the current drawing
    (setq viewportObj (vla-Add viewportColl "TEST"))
    (alert (strcat "A new viewport called " (vla-get-Name viewportObj) " has been added to the Viewports collection."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 20:31

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部